Subject: RE: How to configure Cygwin to install into /usr/{lib,bin,inlcude}?
From: "Andrej Borsenkow" <[email-masked]>
To: "Charles Wilson" <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 14 Aug 2000 11:28:51 +0400

Thank you. Still, there is at least one problem.

In net release libraries libc.a, libm.a, libg.a are just a link to
libcygwin.a. When I do "make install" in top level Cygwin directory
(cvs checkout winsup) it tries to install different libc.a (from newlib
directory as I understand). Trying to link with this library gives me
"multiply defined symbols" (at least __environ for sure).

So, the question is - how to configure Cygwin to install in the same structure
as distributed net release?

-andrej

> -----Original Message-----
> From: Charles Wilson [mailto:[email-masked]]
> Sent: Tuesday, August 08, 2000 9:15 PM
> To: Andrej Borsenkow
> Cc: [email-masked]
> Subject: Re: How to configure Cygwin to install into /usr/{lib,bin,inlcude}?
>
>
> Andrej Borsenkow wrote:
> >
> > I configure cygwin checked out from CVS with configure
> --prefix=/usr (where
> > configure was te top-level one in src directory). But it still
> installs into
> > /usr/i686-pc-cygwin. How should I configure to put it in correct location?
> >
> > -andrej
> >
> > Have a nice DOS!
> > B >>
>
> I use this script, based on one that Chris posted on cygwin-developers:
>
> #!/bin/sh -x
> export src=/usr/src/cygwin/src
> export inst=/usr/src/cygwin/inst
> export CC_FOR_TARGET=/usr/bin/gcc
> export CXX_FOR_TARGET=/usr/bin/c++
> $src/configure --host=i686-pc-cygwin \
>   --target=i686-pc-cygwin --enable-haifa --prefix=/usr \
>   --exec-prefix=/usr --sysconfdir=/etc --libdir=/usr/lib \
>   --includedir=/nonexistent/include
> make CFLAGS=-O2 tooldir=/usr
> make install prefix=$inst/usr exec_prefix=$inst/usr \
>    bindir=$inst/usr/bin libdir=$inst/usr/lib \
>    sysconfdir=$inst/etc includedir=$inst/usr/include \
>    tooldir=$inst/usr
>
> --Chuck
>
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]